MCP Tools Reference: cloudbilling.googleapis.com

Tool: get_billing_account_service

Gets a billing account service visible to a billing account.

The following code sample shows how to use curl to call the get_billing_account_service MCP tool.

Curl Request
curl --location 'https://cloudbilling.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_billing_account_service",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for GetBillingAccountService.

GetBillingAccountServiceRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the billing account service to retrieve. Format: billingAccounts/{billing_account}/services/{service}

Output Schema

Encapsulates a Google Cloud service visible to a billing account.

BillingAccountService

JSON representation
{
  "name": string,
  "serviceId": string,
  "displayName": string
}
Fields
name

string

Resource name for the BillingAccountService. Example: "billingAccounts/012345-567890-ABCDEF/services/DA34-426B-A397".

serviceId

string

Identifier for the service. It is the string after the collection identifier "services/". Example: "DA34-426B-A397".

displayName

string

Description of the BillingAccountService. Example: "BigQuery", "Compute Engine".

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌